XmStringComponentCreate(library call)

NAME
XmStringComponentCreate — A compound string function that creates arbitrary components

SYNOPSIS

#include <Xm/Xm.h>
XmString XmStringComponentCreate(
XmStringComponentType c_type,
unsigned int length,
XtPointer value);

DESCRIPTION

XmStringComponentCreate creates a new XmString component of type c_type, containing value. If value is invalid for the particular component type, this function fails and returns NULL.

c_type
    Specifies the type of component to be created.

length
    Specifies the length in bytes of value. Note that this must be precisely the length of the value string, not including any trailing null characters.

value
    Specifies the value to be used in the creation of the component.

Refer to the XmStringComponentType(3) reference page for a list of the possible XmString component types.

RETURN

If value is invalid for c_type, fails and returns NULL. Otherwise, this function returns a new compound string. When the application no longer needs the returned compound string, the application should call XmStringFree.

RELATED

XmString(3), XmStringGetNextTriple, XmStringComponentType, and XmStringFree(3).